

//Miniview threshold in px
var MINIVIEW_TRESHOLD = 150;
var isFullView = false;
var miniviewContent = "N/A";
var fullviewContent = "N/A";
var doupdate = true;

window.onload = init;
window.onresize = resizing;

window.onoffline = function() 
{
	doupdate = false;
	update();
}
	
window.ononline = function() 
{
	doupdate = true;
	update();
}


function resizing()
{
    if (window.innerHeight < MINIVIEW_TRESHOLD) 
    {
        isFullView = false;
    }
    else 
    {
        isFullView = true;
    }
	setContent();
}


function getMain()
{
	return isFullView ? "maxiview" : "miniview";
}

function init()
{	
	resizing();
	document.getElementById(getMain()).innerHTML = "<strong></>Loading...</strong>";
	update();
}


function update()
{
	if (doupdate) 
	{
		// Will call viewContent as the result.
		getData("http://www.aqicn.info/?frame&symbian&miniview&city=Japan/%E5%8E%9A%E6%9C%A8%E5%B8%82/%E5%9B%BD%E8%A8%AD%E5%8E%9A%E6%9C%A8%E8%87%AA%E5%8B%95%E8%BB%8A%E4%BA%A4%E9%80%9A%E7%92%B0%E5%A2%83%E6%B8%AC%E5%AE%9A%E6%89%80&id=2350",0);
		setTimeout("update()", 1000 * 60 * 60);
	}
	else
	{
		document.getElementById(getMain()).innerHTML = 
			"<strong>Your phone data connection is currently set to offline</strong>";
	}
}

function showing()
{
	setContent();
}

function viewContent(content, id)
{
	if(content == null)
	{
		content = "This seems to take some time...";
	}
	
	if (id == 0)
	{
		miniviewContent = content;
		
		/* Fetch the second part */
		getData("http://www.aqicn.info/?frame&symbian&fullview&city=Japan/%E5%8E%9A%E6%9C%A8%E5%B8%82/%E5%9B%BD%E8%A8%AD%E5%8E%9A%E6%9C%A8%E8%87%AA%E5%8B%95%E8%BB%8A%E4%BA%A4%E9%80%9A%E7%92%B0%E5%A2%83%E6%B8%AC%E5%AE%9A%E6%89%80&id=2350",1);
	}
	else if (id == 1)
	{
		fullviewContent = content;
	}
	
	setContent();
}

function setContent()
{
	if (isFullView) 
	{
		document.getElementById("miniview").innerHTML = "";
		document.getElementById("maxiview").innerHTML = fullviewContent;
	}
	else 
	{
		document.getElementById("maxiview").innerHTML = "";
		document.getElementById("miniview").innerHTML = miniviewContent;
	}
}	
	
	